Scan tokens
curl --request POST \
--url https://api.portalhq.io/api/v3/clients/me/integrations/blockaid/tokens/scan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokens": [
{
"address": "<string>",
"chainId": "<string>"
}
]
}
'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/blockaid/tokens/scan"
payload = { "tokens": [
{
"address": "<string>",
"chainId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tokens: [{address: '<string>', chainId: '<string>'}]})
};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/blockaid/tokens/scan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rawResponse": [
{
"is_malicious": true,
"attack_types": {},
"details": {}
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}Blockaid
Scan tokens
Scans one or more tokens for malicious characteristics using Blockaid.
POST
/
clients
/
me
/
integrations
/
blockaid
/
tokens
/
scan
Scan tokens
Was this page helpful?
⌘I